Bug 127115 - echo mkdmnod|/sbin/nash should not re-create an identical /dev/mapper/control
Summary: echo mkdmnod|/sbin/nash should not re-create an identical /dev/mapper/control
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: 2
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard: FC3
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-02 03:11 UTC by Russell Coker
Modified: 2014-03-17 02:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 03:27:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Russell Coker 2004-07-02 03:11:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
If /dev/mapper/control exists with the correct major and minor numbers then it should not be removed and re-created, it should be left as-is.

nash should stat /dev/mapper/control first and do nothing if it discovers that the device node exists in the way it should.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Boot the machine and observe that the device node is recreated.

Expected Results:  When I boot twice with the same kernel (so there are no changes to the major/minor numbers) then the device node should not be changed.

Additional info:

This is a minor bug, but I really don't want needless writes to /dev.

Comment 1 Jeremy Katz 2004-08-02 22:24:15 UTC
nash >= 4.0 won't create it if it already exists and matches the
correct major/minor.  initscripts will still need to not remove it.

Comment 2 Bill Nottingham 2004-08-03 03:27:35 UTC
Changed, will be in future releases. Of course, has to conflict with
mkinitrd < 4.0 now. :)


Note You need to log in before you can comment on or make changes to this bug.